<?php
//include("../bd/sql_variables.php");
require_once("../class/class.conectar.php");
require_once("../class/class.descrad.php");

$Objcon = new Conectar();
$conex = $Objcon->con();

//$con= mysqli_connect("$sql_host", "$sql_usuario", "$sql_pass") or die(header ("No Disponible Servidor de Base de Datos"));
//mysqli_select_db($con, "$sql_db");

date_default_timezone_set("America/Lima"); setlocale(LC_TIME,"es_PE.UTF-8"); 

$ugid = $_GET['ugid'];
$idj = $_GET['idj'];
$ids = $_GET['ids'];

$sqlusu="select concat(up_nom,' ',up_apepat) as nom from tb_usuprog where ug_id='$ugid'";
$resultusu =  mysqli_query($conex, $sqlusu);
while ($row= mysqli_fetch_assoc($resultusu)){
$usunombre = $row['nom'];
}
//conuslta jefatura
$sqlj="select j_desc from tb_jefatura where j_id='$idj'";
$resultj = mysqli_query($conex, $sqlj);
while ($rowj= mysqli_fetch_assoc($resultj)){
$jefatura = $rowj['j_desc'];
}
//sub jefatura
$sqlsj="select s_desc from tb_servicio where j_id='$idj' and s_id='$ids'";
$resultsj = mysqli_query($conex, $sqlsj);
if(mysqli_num_rows($resultsj)>0){
	while ($rowsj= mysqli_fetch_assoc($resultsj)){
	$subjefatura = $rowsj['s_desc'];
}
}else{
	$subjefatura = '';
}


//construytento listado
$sqllistado = "select a.ug_id as cod, a.ua_apepat as apepat, a.ua_apemat as apemat, a.ua_nom as nombre ";
$sqllistado = $sqllistado." from tb_usuasist a inner join tb_usudep b on ";
$sqllistado = $sqllistado." a.ug_id = b.ug_id where b.j_id='$idj' and b.s_id='$ids' and (b.ua_estado= 1 or b.ua_estado= 2  or b.ua_estado= 4) order by apepat, apemat, nombre";
//$sqllistado = $sqllistado." a.ug_id = b.ug_id where b.j_id='$idj' and b.s_id='$ids' and b.tp_id=1 and a.ua_idespec='2'";
//echo $sqllistado;
$resultlistado = mysqli_query($conex, $sqllistado);
$sumap=0;
$cadenalis="";
while ($rowl= mysqli_fetch_assoc($resultlistado)){
$codigo=$rowl['cod'];
$apepat=$rowl['apepat'];
$apemat=$rowl['apemat'];
$nombre=$rowl['nombre'];
$letranom=substr($nombre, 0, 2);
$letraapemat=substr($apemat, 0, 2);
$nombrefijo= $letranom.". ".$apepat." ".$letraapemat.".";
$cadenalis=$cadenalis."<option value='".$codigo."' ";
$sumap=$sumap+1;
if($sumap==1){
$cadenalis=$cadenalis." selected ";
if($rowl['cod']!=''){
$primercodigo=$rowl['cod'];
}
}
$cadenalis=$cadenalis.">".$nombrefijo."</option>";

}
$cadenalis=$cadenalis."</select>";

//listado de licencias
$sqllic="select a.lc_id as id, a.tlc_id as idtl, (select tlc_desc from tb_tplicencia where tlc_id=a.tlc_id) as desclic, concat(date_format(a.lc_fechaini,'%d/%m/%Y'),' - ', date_format(a.lc_fechafin,'%d/%m/%Y'),' (', a.lc_numdias,')') ";
$sqllic=$sqllic." as dias from tb_licencias a where a.ug_id='$primercodigo' order by a.lc_fechaini desc";
//echo $sqllic;
$resultlic = mysqli_query($conex, $sqllic);
$cadenalic="<select name='licselect' id='licselect' size='4' style='width:22em;'  onClick='listardescfechalic();' onLoad='listardescfechalic();' ondblClick='modificarlic(12);' >";
while ($rowlic= mysqli_fetch_assoc($resultlic)){
$codigo=$rowlic['id'];
$dias=$rowlic['dias'];
$desclic=$rowlic['desclic'];
$cadenalic=$cadenalic."<option value='".$codigo."'>".$dias."</option>";
}
$cadenalic=$cadenalic."</select>";


//listar descanso de radiacion programadas
$Objdr = new DescansoRadiacion();
$lis_descrad = array();
	$lis_descrad = $Objdr->consultar_descrad_personal($conex,$primercodigo,0);
	$cadenadrp="<select size='4' style='width:23em;' ondblClick='modificarestadodr()' id='listfechadrp'>";
	for($i=0;$i<count($lis_descrad);$i++){
		$codigo=$lis_descrad[$i]['id'];
		$dias=$lis_descrad[$i]['dias']." ".$lis_descrad[$i]['periodo'];
		$cadenadrp=$cadenadrp."<option value='".$codigo."'>".$dias."</option>";
	}

$cadenadrp=$cadenadrp."</select>";

//listado de descanso de radiacion ejecutadas
//listado de descanso radiacion ejecutadas
$Objdr = new DescansoRadiacion();
$lis_descrade = array();
	$lis_descrade = $Objdr->consultar_descrad_personal($conex,$ugid,1);
	$cadenadre="<select size='4' style='width:23em;' id='listfechavp'>";
	for($i=0;$i<count($lis_descrade);$i++){
		$codigo=$lis_descrade[$i]['id'];
		$dias=$lis_descrade[$i]['dias']." ".$lis_descrade[$i]['periodo'];
		$cadenadre=$cadenadre."<option value='".$codigo."'>".$dias."</option>";
	}

$cadenadre=$cadenadre."</select>";


//listado de descanso medico
$sqldm="select dm_id as id, concat(date_format(dm_fechaini,'%d/%m/%Y'),' - ', date_format(dm_fechafin,'%d/%m/%Y'),' (', dm_numdias,')') ";
$sqldm=$sqldm." as dias, dm_obs from tb_descmed where ug_id='$primercodigo' order by dm_fechaini desc";
//echo $sqldm;
$resultdm = mysqli_query($conex, $sqldm);
$cadenadm="<select size='4' style='width:22em;' id='dmselect' name='dmselect' ondblClick='modificardm()'>";
//$cadenadm="<select size='4' style='width:22em;' id='dmselect' name='dmselect'>";
while ($rowdm= mysqli_fetch_assoc($resultdm)){
$codigo=$rowdm['id'];
$dias=$rowdm['dias'];
$cadenadm=$cadenadm."<option value='".$codigo."' >".$dias."</option>";
$sqldmdetalle ="";
}
$cadenadm=$cadenadm."</select>";


//listado de horas permiso
$sqlhper="SELECT hrp_id as id, ug_id as cod, concat(date_format(hrp_fecha,'%d/%m/%Y'),'-',date_format(hrp_horaini,'%k:%i %p'),'-',date_format(hrp_horafin,'%k:%i %p'),' (',hrp_numhora,')') as hora "; 
$sqlhper=$sqlhper." FROM tb_horapermiso where  ug_id='$primercodigo' order by hrp_fecha desc";

//echo $sqldm;
$resulthper = mysqli_query($conex, $sqlhper);
$cadenahrsper="<select size='4' style='width:22em;' id='hrselect' name='hrselect' ondblClick='modificarhrsper()' onClick='listarhrsfechalic()'>";
//$cadenadm="<select size='4' style='width:22em;' id='dmselect' name='dmselect'>";
while ($rowhper= mysqli_fetch_assoc($resulthper)){
$codigo=$rowhper['id'];
$horas=$rowhper['hora'];
$cadenahrsper=$cadenahrsper."<option value='".$codigo."' >".$horas."</option>";
$sqldmdetalle ="";
}
$cadenahrsper=$cadenahrsper."</select>";


//seleecionado vacaciones programadas
$sqlvacaprog="select v_id as id, concat(date_format(v_fechaini,'%d/%m/%Y'),' - ', date_format(v_fechafin,'%d/%m/%Y'),' (', v_numdias,')') ";
$sqlvacaprog=$sqlvacaprog." as dias, v_periodo as periodo from tb_vacaciones where ug_id='$primercodigo' and v_estado=0 order by v_fechaini desc";
$resultvacaprog = mysqli_query($conex, $sqlvacaprog);
$cadenavp="<select size='4' style='width:23em;' ondblClick='modificarestado()' id='listfechavp'>";
while ($rowvp= mysqli_fetch_assoc($resultvacaprog)){
$codigo=$rowvp['id'];
$dias=$rowvp['dias']." ".$rowvp['periodo'];
$cadenavp=$cadenavp."<option value='".$codigo."'>".$dias."</option>";
}
$cadenavp=$cadenavp."</select>";

//seleecionado vacaciones ejecutadas
$sqlvacaeje="select v_id as id, concat(date_format(v_fechaini,'%d/%m/%Y'),' - ', date_format(v_fechafin,'%d/%m/%Y'),' (', v_numdias,')') ";
$sqlvacaeje=$sqlvacaeje." as dias, v_periodo as periodo from tb_vacaciones where ug_id='$primercodigo' and v_estado=1 order by v_fechaini desc";
$resultvacaeje = mysqli_query($conex, $sqlvacaeje);
$cadenave="<select size='4' style='width:23em;'>";
while ($rowve= mysqli_fetch_assoc($resultvacaeje)){
$codigo=$rowve['id'];
$dias=$rowve['dias']." ".$rowve['periodo'];
$cadenave=$cadenave."<option value='".$codigo."'>".$dias."</option>";
}
$cadenave=$cadenave."</select>";



//seleccionando al combo tipo de personal
$sqltpersonal = "select a.tp_id as cod, (select tp_desc from tb_tipoperson where tp_id=a.tp_id) as descripcion from tb_areatipopersona a where a.j_id='$idj' and a.s_id='$ids'";
//echo $sqltpersonal;
$resulttpersonal = mysqli_query($conex, $sqltpersonal);
//$cadenatp="<select id='tipopersonal' name='tipopersonal'>";
$cadenatp = "<option value='0'>TODOS</option>";
while ($rowtp= mysqli_fetch_assoc($resulttpersonal)){
$cadenatp=$cadenatp."<option value='".$rowtp['cod']."'";
//if($idtp==$rowtp['cod']){
//$cadenatp=$cadenatp." selected ";
//}
$cadenatp=$cadenatp." >".$rowtp['descripcion']."</option>";
}
$cadenatp=$cadenatp."</select>";

//seleccionando al comnbo especialidad
$sqlespecialidad = "select a.ua_idespec as cod, (select esp_desc from tb_especialidad where ua_idespec=a.ua_idespec) as descripcion from tb_areaespecialidad a where a.j_id='$idj' and a.s_id='$ids'";
//echo $sqlespecialidad;
$resultespecialidad = mysqli_query($conex, $sqlespecialidad);
$cadenaesp = "<option value='0'>TODOS</option>";
//$cadenaesp="<select id='especialidad' name='especialidad'>";
while ($rowe= mysqli_fetch_assoc($resultespecialidad)){
$cadenaesp=$cadenaesp."<option value='".$rowe['cod']."'";
//if($idesp==$rowe['cod']){
//$cadenaesp=$cadenaesp." selected ";
//}
$cadenaesp=$cadenaesp.">".$rowe['descripcion']."</option>";
}
$cadenaesp=$cadenaesp."</select>";

//armando grupo correo
$sqldepa="select j_id as codj, 0 as cods ,j_abrev as nom from tb_jefatura where j_id='$idj'";
$sqlserv="select j_id as codj, s_id as cods, s_abrev as nom from tb_servicio where j_id='$idj'";
$resultdepa = mysqli_query($conex, $sqldepa);
$resultserv = mysqli_query($conex, $sqlserv);

$cadenamail="<table align='center' class='FacetFormTABLE'>";
$cadenamail=$cadenamail."<tr><td class='FacetFieldCaptionTDT' colspan='2' align='center'>MENSAJERIA</td></tr>";
$cadenamail=$cadenamail."<tr><td><b>Seleccione Remitente:</b></td><td><b>Escribe Mensaje:</b></td></tr><tr><td>";
$cadenamail=$cadenamail."<table align='center' class='FacetFormTABLE' height='150'>";
while ($rowj= mysqli_fetch_assoc($resultdepa)){
$cadenamail=$cadenamail."<tr><td><input type='radio' id='msn' name='msn' value='".$rowj['cods']."'>".$rowj['nom']."</td></tr>";
}
while ($rows= mysqli_fetch_assoc($resultserv)){
$cadenamail=$cadenamail."<tr><td><input type='radio' id='msn' name='msn' value='".$rows['cods']."'>".$rows['nom']."</td></tr>";
}
$cadenamail=$cadenamail."</table></td><td>";
$cadenamail=$cadenamail."<table align='center' class='FacetFormTABLE' height='150'>";
$cadenamail=$cadenamail."<tr><td align='center'><textarea name='msntexto' id='msntexto' cols='50' rows='6'></textarea></td></tr>";
$cadenamail=$cadenamail."</table></td></tr><tr><td align='center' colspan='2'><input type='button' value='Enviar' class='SalidaButton' onClick='enviarmail()'></td></tr></table>";
		
//leer los mensajes enviados
$sqlmail = "select b.m_id as idm, b.ug_ids as cod, date_format(b.fecha,'%d/%m/%Y %h:%i:%s %p') as dia, a.ua_apepat as apepat, ";
$sqlmail = $sqlmail." a.ua_apemat as apemat, a.ua_nom as nombre from tb_mensajeria b inner join tb_usuasist a on a.ug_id=b.ug_ids ";
$sqlmail = $sqlmail." where b.j_id='$idj' and b.s_id='$ids' order by dia asc";
//echo $sqlmail;

$resultmail = mysqli_query($conex, $sqlmail);
$cadenaleermail="<table align='center' class='FacetFormTABLE' width='300'><tr><td class='FacetFieldCaptionTDT' align='center'>BUZON DE MENSAJES</td></tr><tr><td><b>Seleccione Mensaje:</b></td></tr>";
$cadenaleermail=$cadenaleermail."<tr><td><table align='center' class='FacetFormTABLE' width='100'><tr><td class='FacetFieldCaptionTD' align='center'>Fecha y Hora Env</td><td class='FacetFieldCaptionTD' align='center'>Remitente</td><td class='FacetFieldCaptionTD' align='center'>Eliminar</td></tr>";
$cadenaleermail=$cadenaleermail."<tr><td colspan='2'><select id='leermail' name='leermail' size='6' onClick='funleermail()'>";
$p=0;
while ($rowm= mysqli_fetch_assoc($resultmail)){
$codigo=$rowm['cod'];
$apepat=$rowm['apepat'];
$apemat=$rowm['apemat'];
$nombre=$rowm['nombre'];
//$letranom=substr($nombre, 0, 1);
$letraapemat=substr($apemat, 0, 1);
$nombrefijo= $nombre." ".$apepat." ".$letraapemat.".";
$p=$p+1;
$idm = $rowm['idm'];
$codigo =$rowm['cod'];
$idcodigo=$codigo." ".$idm;
if($p==1){
$idm0 = $rowm['idm'];
$codigo0 =$rowm['cod'];
$cadenaleermail=$cadenaleermail."<option value='".$idcodigo."' selected>&nbsp;&nbsp;".$rowm['dia']."&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;".$nombrefijo."</option>";
}else{
$cadenaleermail=$cadenaleermail."<option value='".$idcodigo."'>&nbsp;&nbsp;".$rowm['dia']."&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;".$nombrefijo."</option>";
}
}
/// mensajes de las jefaturas
//leer los mensajes enviados
$idm0="";
$codigo0="";
$sqlmail = "select b.m_id as idm, b.ug_ids as cod, date_format(b.fecha,'%d/%m/%Y %h:%i:%s %p') as dia, a.up_apepat as apepat, ";
$sqlmail = $sqlmail." a.up_apemat as apemat, a.up_nom as nombre from tb_mensajeria b inner join tb_usuprog a on a.ug_id=b.ug_ids ";
$sqlmail = $sqlmail." where b.j_id='$idj' and b.s_id='$ids' order by dia desc";
$resultmail = mysqli_query($conex, $sqlmail);
while ($rowm= mysqli_fetch_assoc($resultmail)){
$codigo=$rowm['cod'];
$apepat=$rowm['apepat'];
$apemat=$rowm['apemat'];
$nombre=$rowm['nombre'];
//$letranom=substr($nombre, 0, 1);
$letraapemat=substr($apemat, 0, 1);
$nombrefijo= $nombre." ".$apepat." ".$letraapemat.".";
$p=$p+1;
$idm = $rowm['idm'];
$codigo =$rowm['cod'];
$idcodigo=$codigo." ".$idm;
if($p==1){
$idm0 = $rowm['idm'];
$codigo0 =$rowm['cod'];
$cadenaleermail=$cadenaleermail."<option value='".$idcodigo."' selected>&nbsp;&nbsp;".$rowm['dia']."&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;".$nombrefijo."</option>";
}else{
$cadenaleermail=$cadenaleermail."<option value='".$idcodigo."'>&nbsp;&nbsp;".$rowm['dia']."&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;".$nombrefijo."</option>";
}
}

//////////
$sqlmensaje="select m_mail as mail from tb_mensajeria where  m_id ='$idm0' and  j_id='$idj' and s_id='$ids' and ug_ids='$codigo0'";

//echo $sqlmensaje;
$mensaje="";
$resultmensaje = mysqli_query($conex, $sqlmensaje);
while ($rowmsn= mysqli_fetch_assoc($resultmensaje)){
$mensaje = $rowmsn['mail'];
}
$cadenaleermail=$cadenaleermail."</select></td><td align='center'><a href=''><img src='img/b_edit.png' onClick='eliminarmail()'></a></td></tr></table><tr><td><b>Leer Mensaje:</b></td></tr><tr><td>";
$cadenaleermail=$cadenaleermail."<table align='center' class='FacetFormTABLE' height='80'><tr><td align='center'>";
$cadenaleermail=$cadenaleermail."<div id='divleermail'><TEXTAREA name='msnleer' rows='5' cols='50'>".$mensaje."</TEXTAREA></div>";
$cadenaleermail=$cadenaleermail."</td></tr></table></td></tr></table>";

?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<script language="JavaScript" type="text/javascript" src="ajax.js"></script>
 
<link rel="stylesheet" type="text/css" href="styles/Style.css"> 
<link type="text/css" rel="stylesheet" href="src/css/jscal2.css" />
 <link type="text/css" rel="stylesheet" href="src/css/border-radius.css" />
 <link id="skin-gold" title="Gold" type="text/css" href="src/css/gold/gold.css" />
 <script src="src/js/jscal2.js"></script>
 <script src="src/js/lang/es.js"></script>
    
 <script type="text/javascript"> 
function agregarDM(){ 
   //alert("hola mundo");
	var ugid = document.getElementById('dmlist').value;
	var ugidprog = document.getElementById('ugid').value;
	//alert(ugid);
    window.open("descansomedico.php?ugid="+ugid+"&ugidprog="+ugidprog,"","height=400,width=700,scrollbars=NO");
} 

function agregarLic(){ 
   //alert("hola mundo");
	var ugid = document.getElementById('liclist').value;
	//alert(ugid);
    window.open("licenciaper.php?ugid="+ugid,"","height=300,width=600,scrollbars=NO");
} 

function agregarHper(){ 
   //alert("hola mundo");
	var ugid = document.getElementById('hrslist').value;
	//alert(ugid);
    window.open("hrpermiso.php?ugid="+ugid,"","height=300,width=600,scrollbars=NO");
}

function listardescansomedico(){ 
   //alert("hola mundo");
	var idj = document.getElementById('idj').value;
	var ids = document.getElementById('ids').value;
	//alert(ugid);
    window.open("descansomedico/listardescanso.php?idj="+idj+"&ids="+ids,"","height=500,width=850,scrollbars=YES");
}

function listarlicenciaturas(){ 
   //alert("hola mundo");
	var idj = document.getElementById('idj').value;
	var ids = document.getElementById('ids').value;
	//alert(ugid);
    window.open("licenciatura/listarlicencias.php?idj="+idj+"&ids="+ids,"","height=500,width=850,scrollbars=YES");
}

function listarhrspermiso(){ 
   //alert("hola mundo");
	var idj = document.getElementById('idj').value;
	var ids = document.getElementById('ids').value;
	//alert(ugid);
    window.open("hrspermiso/listarhrspermiso.php?idj="+idj+"&ids="+ids,"","height=500,width=850,scrollbars=YES");
}

function listarvacaciones(){ 
   //alert("hola mundo");
	var idj = document.getElementById('idj').value;
	var ids = document.getElementById('ids').value;
	//alert(ugid);
    window.open("vacaciones/listarvacaciones.php?idj="+idj+"&ids="+ids,"","height=500,width=850,scrollbars=YES");
}
function listarDescRad(){ 
   //alert("hola mundo");
	var idj = document.getElementById('idj').value;
	var ids = document.getElementById('ids').value;
	//alert(ugid);
    window.open("descansoradiacion/listardescrad.php?idj="+idj+"&ids="+ids,"","height=500,width=850,scrollbars=YES");
}
listarDescRad
function leerarea(){ 
   
	var elementos = document.getElementsByName('msn');
 for(var i=0; i<elementos.length; i++) {
  alert(" Elemento: " + elementos[i].value + "\n Seleccionado: " + elementos[i].checked);
  if(elelemtos[i].checked = true){
  //var id = elementos[i].value;
  alert(100);
  }
  
}

} 

function agregarVacaProg(){ 
   //alert("hola mundo");
	var ugid = document.getElementById('vacaproglist').value;
	//alert(ugid);
    window.open("vacacionesprog.php?ugid="+ugid,"","height=350,width=600,scrollbars=NO");
} 

function agregarDescRadProg(){ 
   //alert("hola mundo");
	var ugid = document.getElementById('drproglist').value;
	//alert(ugid);
    window.open("descradiacion.php?ugid="+ugid,"","height=350,width=600,scrollbars=NO");
}

function modificarestado(){ 
   //alert("hola mundo");
	var ugid = document.getElementById('vacaproglist').value;
	var idfecha = document.getElementById('listfechavp').value;
	//alert(ugid);
    window.open("editarvacaciones.php?ugid="+ugid+"&idfecha="+idfecha,"","height=300,width=600,scrollbars=NO");
} 
function modificardm(){ 
   //alert("hola mundo");
	var ugid = document.getElementById('dmlist').value;
	var idfecha = document.getElementById('dmselect').value;
	//alert(ugid);
    window.open("editardesmed.php?ugid="+ugid+"&idfecha="+idfecha,"","height=400,width=700,scrollbars=NO");
} 

function modificarlic(id){ 
	//alert(id);
   //alert("hola mundo");
	var ugid = document.getElementById('liclist').value;
	var idfecha = document.getElementById('licselect').value;
	var idtlic = document.getElementById('idtlic').value;
	alert(ugid);
	//+"&idtlic="+idtlic
	window.open("editarlicenciaper.php?ugid="+ugid+"&idfecha="+idfecha+"&idtlic="+idtlic,"","height=300,width=600,scrollbars=NO");
}

function modificarhrsper(){ 
   //alert("hola mundo");
	var ugid = document.getElementById('hrslist').value; 
	var idfecha = document.getElementById('hrselect').value; 
	var idthper = document.getElementById('idthper').value;
	
	//alert(ugid);
    window.open("editarhrpermiso.php?ugid="+ugid+"&idfecha="+idfecha+"&idthper="+idthper,"","height=300,width=600,scrollbars=NO");
}

function modificarestadodr(){ 
   //alert("hola mundo");
	var ugid = document.getElementById('drproglist').value;
	var idfecha = document.getElementById('listfechadrp').value;
	//alert(ugid);
    window.open("editardescrad.php?ugid="+ugid+"&idfecha="+idfecha,"","height=300,width=600,scrollbars=NO");
} 

function AdministrarPersonal(){ 
   var idj = document.getElementById("idj").value;
   var ids = document.getElementById("ids").value;
   var ugid = document.getElementById("ugid").value;
   document.location= "adminpersonalasistencial.php?idj="+idj+"&ids="+ids+"&ugid="+ugid;
    
}
function AdministrarVacaciones(){ 
   var idj = document.getElementById("idj").value;
   var ids = document.getElementById("ids").value;
   var ugid = document.getElementById("ugid").value;
   document.location= "vacapersonalasistencial.php?idj="+idj+"&ids="+ids+"&ugid="+ugid;
    
}
function iniprogramacion(){ 
   var idj = document.getElementById("idj").value;
   var ids = document.getElementById("ids").value;
   var ugid = document.getElementById("ugid").value;
   document.location= "../programacion/programacionpersonal.php?idj="+idj+"&ids="+ids+"&ugid="+ugid;
}

function inireprogramacion(){ 
   var idj = document.getElementById("idj").value;
   var ids = document.getElementById("ids").value;
   var ugid = document.getElementById("ugid").value;
   document.location= "../programacion/reprogramacionpersonal.php?idj="+idj+"&ids="+ids+"&ugid="+ugid;
}

function iniejecutaturno(){ 
   var idj = document.getElementById("idj").value;
   var ids = document.getElementById("ids").value;
   var ugid = document.getElementById("ugid").value;
   document.location= "../programacion/ejecutaturno.php?idj="+idj+"&ids="+ids+"&ugid="+ugid;
}

function reporteProg(){ 
   var idj = document.getElementById("idj").value;
   var ids = document.getElementById("ids").value;
   var ugid = document.getElementById("ugid").value;
   document.location= "../reporte/menureporte.php?idj="+idj+"&ids="+ids+"&ugid="+ugid;
}

function LeerProgDiaria(){
var idj = document.getElementById("idj").value;
   var ids = document.getElementById("ids").value;
   var ugid = document.getElementById("ugid").value;
   var fecha = document.getElementById("fecha").value;
   //document.location= "../reporte/programaciondeldia.php?idj="+idj+"&ids="+ids+"&ugid="+ugid+"&fecha="+fecha;
   var cadena = "../reporte/reprogramaciondeldia.php?idj="+idj+"&ids="+ids+"&ugid="+ugid+"&fecha="+fecha;
   window.open(cadena,"","height=500,width=800");
}

function LeerProgDiariaNutri(){
var idj = document.getElementById("idj").value;
   var ids = document.getElementById("ids").value;
   var ugid = document.getElementById("ugid").value;
   var fecha = document.getElementById("fecha").value;
   //document.location= "../reporte/programaciondeldia.php?idj="+idj+"&ids="+ids+"&ugid="+ugid+"&fecha="+fecha;
   var cadena = "../reporte/reprogramaciondeldianut.php?idj="+idj+"&ids="+ids+"&ugid="+ugid+"&fecha="+fecha;
   window.open(cadena,"","height=500,width=800");
}

function ocultar(id){
	var elDiv = document.getElementById(id); 
	elDiv.style.display='none';
}

function mostrar(id){
	var elDiv = document.getElementById(id); 
	elDiv.style.display='block';
}

function verHoraPermiso(){
	mostrar("divpermiso");
	ocultar("divlicencia");
	ocultar("divvacaciones");
	ocultar("divdescansomedico");
	ocultar("divdescrad");
	
}

function verLicencias(){
	mostrar("divlicencia");
	ocultar("divpermiso");
	ocultar("divvacaciones");
	ocultar("divdescansomedico");
	ocultar("divdescrad");
}

function verinformacion(){
	ocultar("divlicencia");
	ocultar("divpermiso");
	ocultar("divvacaciones");
	mostrar("divdescansomedico");
	ocultar("divdescrad");
}

function verVacaciones(){
	ocultar("divlicencia");
	ocultar("divpermiso");
	ocultar("divdescansomedico");
	mostrar("divvacaciones");
	ocultar("divdescrad");
}

function verDescansoMedico(){
	ocultar("divlicencia");
	ocultar("divpermiso");
	mostrar("divdescansomedico");
	ocultar("divvacaciones");
	ocultar("divdescrad");
}

function verDescansoRadiacion(){
	ocultar("divlicencia");
	ocultar("divpermiso");
	ocultar("divdescansomedico");
	ocultar("divvacaciones");
	mostrar("divdescrad");
}


</script> 
</head>
<body  onLoad='verinformacion()'>
<hr color='blue' size='10'>
<hr color='blue'>
<?php
echo "<input type='hidden' id='idj' name='idj' value='".$idj."'>";
echo "<input type='hidden' id='ids' name='ids' value='".$ids."'>";
echo "<input type='hidden' id='ugid' name='ugid' value='".$ugid."'>";

?>
<!--tabla mas grande-->
<table align='center' class='FacetFormTABLE' width='980'>
<tr><td class='FacetFieldCaptionTD' width='480'><font size='10'><?php echo "HI, ".$usunombre; ?></font></td><td width='20'></td><td width="480" align='center' class='FacetFieldCaptionTDT'><a href='../login.php'>Salir</a></td></tr>
<tr><td width='480' align='center'>
<!--tabla del titulo-->
	<table align='center' class='FacetFormTABLE' width='400'>
	<tr><td class='FacetFieldCaptionTDT' align='center'><font color='red'><?php echo $jefatura;?></font></td></tr>
	<tr><td class='FacetFieldCaptionTDT' align='center'><?php echo $subjefatura;?></td></tr>
	<br>
	<tr><td align='center'><b><?php setlocale(LC_TIME,"spanish"); 
	echo strftime("Hoy es %A, %d de %B del %Y." ,time()); ?></b></td><tr>
	</table>
    <!--cierre tabla del titulo-->
<br>
<fieldset>
	<legend align='left'><font color='blue'>Programacion Asistencial</font></legend>
    <!--tabla del menus-->
	<table width='250'  height='100' align='center'><tr>
	<td width='110'>
	<fieldset>
	<legend align='left'><font color='red'>Seleccion Fecha</font></legend>
	
		<table align='center' class='FacetFormTABLE' width='100'>
		<tr><td class='FacetFieldCaptionTDT' align='center'>PROGRAMACION DIARIA<td><tr>
		<tr><td>
		<input class='SalidaText' type='text' id='fecha' size='15' value='<?php if(isset($_GET['ugid'])){ //echo $fechaing;
		}?>'/>
			<button id="calendar-trigger"><img src="../img/b_calendar.png" ></button>
<button id="f_clearRangeStart" onClick="clearRangeStart()">clear</button>
<script> 
    Calendar.setup({
        trigger    : "calendar-trigger",
        inputField : "fecha",
		dateFormat : "%d/%m/%Y",
		onSelect   : function() { this.hide() }
    });
	 function clearRangeStart() {
                          document.getElementById("fecha").value = "";                        
                  };
                </script>
		</td></tr>
		<tr><td align='center'>
		<button type='button' id='progd' style='width:100px' onClick='LeerProgDiaria()'>Consultar</button>
		<button type='button' id='progd' style='width:100px' onClick='LeerProgDiariaNutri()'>Consul Nutri</button>
		</td></tr>
		</table>
	<br>
	</fieldset>
	</td><td width='29'></td>
	<td width='95'>
	<fieldset>
	<legend align='left'><font color='red'>Seleccion Opcion</font></legend>
	<br>
	<button type='button' id='pprog' style='width:150px' onClick='iniprogramacion()'>Programacion</button><br><br>
	<button type='button' id='pprog' style='width:150px'  onClick='inireprogramacion()'>Reprogramacion</button><br><br>
	<button type='button' id='pprog' style='width:150px' onClick='iniejecutaturno()'>Ejecucion</button>
	<br>
	</fieldset>
	</td>
	</tr>
	<tr><td colspan='2' align='center'><button type='button' id='pprog' style='width:150px' onClick='AdministrarPersonal()'>Administracion Personal</button><br><br><button type='button' id='pprog' style='width:150px' onClick='AdministrarVacaciones()'>Administrar Vacaciones</button></td>
	<td align='center'><br><button type='button' id='pprog' style='width:150px'  onClick='reporteProg()'>Reportes</button></td>
	</tr>
	</table></fieldset>
     <!--tabla del menus-->
	<br>
<div id='divmail'>
	<div id='divlecturamail'>
			<?php echo $cadenaleermail; ?>
	</div>
	<br>
	
	    <?php echo $cadenamail; ?>
	</div>
	
   	</td><td></td>
	


<td align="center" valign='top'>
	<fieldset>
    <legend align='left'><font color='blue'>Administrar Informacion del Personal</font></legend>
	<table>
	<tr>
	<td><button type='button' id='pprog' style='width:150px' onClick='verDescansoMedico()'>Descansos Medicos</button></td>
	<td><button type='button' id='pprog' style='width:150px' onClick='verVacaciones()'>Vacaciones</button></td>
	</tr>
	<tr>
	<td><button type='button' id='pprog' style='width:150px' onClick='verLicencias()'>Licencias</button></td>
	<td><button type='button' id='pprog' style='width:150px' onClick='verHoraPermiso()'>Hora Permiso</button></td>
	</tr>
	<tr>
	<td><button type='button' id='pprog' style='width:150px' onClick='verDescansoRadiacion()'>Descanso Radiacion</button></td>
	<td></td>
	</tr>
	</table>
	</fieldset>
	<br>
	<div id='divdescansomedico'>
	<fieldset>
	<legend align='left'><font color='blue'>Descanso Medico del Personal Asistencial</font></legend>
	<br>
    <!--tabla del descanso medico-->
		<table align='center' class='FacetFormTABLE' width='350'>
		<tr><td class='FacetFieldCaptionTD'colspan='3'><center>DESCANSO MEDICO</center></td></tr>
		<tr><td align='right'>Seleccione Tipo:</td><td colspan='2'>
					<?php echo "<select id='tipopersonaldm' name='tipopersonaldm' onChange='listarpersonaldiv(1)'>".$cadenatp; ?>
				    </td></tr>
		<tr><td align='right'>Especialidad:</td><td colspan='2'>
					<?php echo "<select id='especialidaddm' name='especialidaddm' onChange='listarpersonaldiv(1)'>".$cadenaesp;  ?>
      </td></tr>
      <tr><td align='center' colspan='3'>
            <table width='300'><tr>
            <td width='160' align='center'>
            
            <div id='divdm'>
				<select name='dmlist' id='dmlist' size='4' style='width:22em;' onClick='listarfechadm()' onload='listarfechadm()'>
				<?php echo $cadenalis;?>
                </div>
                </td><td width='160' align='center'>
				<div id='fechadm'>
				<?php echo $cadenadm; ?>
				</div>
				</td><td align='center'>
				<img src='img/agregar.jpg' width='30'  height='30' onClick='agregarDM()'><br>
				<img src='img/reporte.png' width='30'  height='30' onClick='listardescansomedico()'>        
            </td></tr>
			</table>                     
             </td></tr></table>
             <!--cierre tabla del descanso medico-->
	  <br>	
	</fieldset>
	</div>
	
	<div id='divvacaciones'>
	 <br>
	<fieldset>
	<legend align='left'><font color='blue'>Vacaciones del Personal Asistencial</font></legend>
	<br>
             <!--tabla del vacaciones-->
		<table align='center' class='FacetFormTABLE' width='350'>
		<tr><td class='FacetFieldCaptionTD'colspan='3'><center>VACAC. PROGRAMADAS</center></td></tr>
		<tr><td align='right'>Seleccione Tipo:</td><td colspan='2'>
					<?php echo "<select id='tipopersonalvacaprog' name='tipopersonalvacaprog' onChange='listarpersonaldiv(2);listarvacaprog()'>".$cadenatp; ?>
				    </td></tr>
		<tr><td align='right'>Especialidad:</td><td colspan='2'>
					<?php echo "<select id='especialidadvacaprog' name='especialidadvacaprog' onChange='listarpersonaldiv(2);listarvacaprog()'>".$cadenaesp; ?>
				    </td></tr>
		<tr><td align='center' colspan='3'>
			<table width='300'><tr><td width='160' align='center'>
				<div id='divvacaprog'>
				<select id='vacaproglist' name='vacaproglist' style='width:22em;' size='4' onClick='listarvacaprog()' onload='listarvacaprog()'>
				<?php echo $cadenalis;?>
				</div>
				</td><td width='160' align='center'>
				<div id='vacaprog'>
				<?php echo $cadenavp; ?>
				</div>
				</td><td align='center'>
				<img src='img/agregar.jpg' width='30'  height='30' onClick='agregarVacaProg()'>
				<img src='img/reporte.png' width='30'  height='30' onClick='listarvacaciones()'>
				</td></tr>
				</table>
		</td></tr>
		</table>
		<br>
    
        <!--tabla del vaca eje-->
		<table align='center' class='FacetFormTABLE' width='350'>
		<tr><td class='FacetFieldCaptionTD'colspan='3'><center>VACAC. EJECUTADAS</center></td></tr>
		<tr><td align='right'>Seleccione Tipo:</td><td colspan='2'>
					<?php echo "<select id='tipopersonalvacaeje' name='tipopersonalvacaeje' onChange='listarpersonaldiv(3);listarvacaeje()'>".$cadenatp; ?>
				    </td></tr>
		<tr><td align='right'>Especialidad:</td><td colspan='2'>
					<?php echo "<select id='especialidadvacaeje' name='especialidadvacaeje' onChange='listarpersonaldiv(3);listarvacaeje()'>".$cadenaesp; ?>
				    </td></tr>
		<tr><td align='center' colspan='3'>
			<table width='300'><tr><td width='160' align='center'>
				<div id='divvacaeje'>
				<select id='vacaejelist' name='vacaejelist' style='width:22em;' size='4' onClick='listarvacaeje()' onload='listarvacaeje()'>
				<?php echo $cadenalis;?>
				</div>
				</td><td width='160' align='center'>
				<div id='vacaeje'>
				<?php echo $cadenave; ?>
				</div>
				</td></tr>
				</table>
		</td></tr>
		</table>
        <!-- cierre tabla del vaca eje-->
	<br>
	</fieldset>
	</div>
	
	<div id='divpermiso'>
	<fieldset>
    <legend align='left'><font color='blue'>Permisos del Personal Asistencial</font></legend>
	<br>
    <!--tabla del permiso-->
		<table align='center' class='FacetFormTABLE' width='350'>
		<tr><td class='FacetFieldCaptionTD'colspan='3'><center>PERMISOS DEL PERSONAL</center></td></tr>
		<tr><td align='right'>Seleccione Tipo:</td><td colspan='2'>
					<?php echo "<select id='tipohoraper' name='tipohoraper' onChange='listarpersonaldiv(5)'>".$cadenatp; ?>
				    </td></tr>
		<tr><td align='right'>Especialidad:</td><td colspan='2'>
					<?php echo "<select id='especialidadhper' name='especialidadhper' onChange='listarpersonaldiv(5)'>".$cadenaesp;  ?>
      </td></tr>
      <tr><td align='center' colspan='3'>
            <table width='300'><tr>
            <td width='160' align='center'>
            
            <div id='divhper'>
				<select name='hrslist' id='hrslist' size='4' style='width:22em;' onClick='listarhoraper()' onload='listarhoraper()'>
				<?php echo $cadenalis;?>
                </div>
                </td><td width='160' align='center'>
				<div id='divhoras'>
				<?php echo $cadenahrsper; ?>
				</div>
				</td><td align='center'>
				<img src='img/agregar.jpg' width='30'  height='30' onClick='agregarHper()'><br>
				<img src='img/reporte.png' width='30'  height='30' onClick='listarhrspermiso()'>        
            </td></tr>
			<tr><td colspan='3' align="center" ><div id='divdeschrsp'><input type="text" size="40" id='outhrper' class="SalidaText"></div></td></tr>
			</table>                     
             </td></tr></table>
             <!--cierre tabla del permisos-->
	  <br>	
	</fieldset>
	</div>
	<div id='divlicencia'>
    <br>
        <fieldset>
    <legend align='left'><font color='blue'>Licencias del Personal Asistencial</font></legend>
	<br>
    <!--tabla de licencias-->
		<table align='center' class='FacetFormTABLE' width='350'>
		<tr><td class='FacetFieldCaptionTD'colspan='3'><center>LICENCIAS DEL PERSONAL</center></td></tr>
		<tr><td align='right'>Seleccione Tipo:</td><td colspan='2'>
					<?php echo "<select id='tipopersonallic' name='tipopersonallic' onChange='listarpersonaldiv(4);listarfechalic()'>".$cadenatp; ?>
				    </td></tr>
		<tr><td align='right'>Especialidad:</td><td colspan='2'>
					<?php echo "<select id='especialidadlic' name='especialidadlic' onChange='listarpersonaldiv(4);listarfechalic()'>".$cadenaesp;  ?>
      </td></tr>
      <tr><td align='center' colspan='3'>
            <table width='300'><tr>
            <td width='160' align='center'>
            
            <div id='divlic'>
				<select name='liclist' id='liclist' size='4' style='width:22em;' onClick='listarfechalic()' onload='listarfechalic()'>
				<?php echo $cadenalis;?>
                </div>
                </td><td width='160' align='center'>
				<div id='fechalic'>
				<?php echo $cadenalic; ?>
				</div>
				</td><td align='center'>
				<img src='img/agregar.jpg' width='30'  height='30' onClick='agregarLic()'><br>
				<img src='img/reporte.png' width='30'  height='30' onClick='listarlicenciaturas()'>        
            </td></tr>
            <tr><td colspan='3' align="center" ><div id='divdesclic'><input type='hidden' id='idtlic' name='idtlic' value=''><input type="text" size="40" id='outtplic' class="SalidaText"></div></td></tr>
			</table>                     
             </td></tr></table>
             <!--cierre tabla de licencias-->
	  <br>	
	</fieldset>
	</div>
	
     
	 <div id='divdescrad'>
	 <br>
	<fieldset>
	<legend align='left'><font color='blue'>Descanso de Radiacion del Personal Asistencial</font></legend>
	<br>
             <!--tabla del vacaciones-->
		<table align='center' class='FacetFormTABLE' width='350'>
		<tr><td class='FacetFieldCaptionTD'colspan='3'><center>DESC. DE RADIACION PROGRAMADAS</center></td></tr>
		<tr><td align='right'>Seleccione Tipo:</td><td colspan='2'>
					<?php echo "<select id='tipoperdescradprog' name='tipoperdescradprog' onChange='listarpersonaldiv(6);listardescradprog()'>".$cadenatp; ?>
				    </td></tr>
		<tr><td align='right'>Especialidad:</td><td colspan='2'>
					<?php echo "<select id='especialidaddescradprog' name='especialidaddescradprog' onChange='listarpersonaldiv(6);listardescradprog()'>".$cadenaesp; ?>
				    </td></tr>
		<tr><td align='center' colspan='3'>
			<table width='300'><tr><td width='160' align='center'>
				<div id='divdrprog'>
				<select id='drproglist' name='drproglist' style='width:22em;' size='4' onClick='listardescradprog()' onload='listardescradprog()'>
				<?php echo $cadenalis;?>
				</div>
				</td><td width='160' align='center'>
				<div id='drprog'>
				<?php echo $cadenadrp; ?>
				</div>
				</td><td align='center'>
				<img src='img/agregar.jpg' width='30'  height='30' onClick='agregarDescRadProg()'>
				<img src='img/reporte.png' width='30'  height='30' onClick='listarDescRad()'>
				</td></tr>
				</table>
		</td></tr>
		</table>
		<br>
    
        <!--tabla del vaca eje-->
		<table align='center' class='FacetFormTABLE' width='350'>
		<tr><td class='FacetFieldCaptionTD'colspan='3'><center>DESC. DE RADIACION EJECUTADAS</center></td></tr>
		<tr><td align='right'>Seleccione Tipo:</td><td colspan='2'>
					<?php echo "<select id='tipoperdescradeje' name='tipoperdescradeje' onChange='listarpersonaldiv(7);listardescradeje()'>".$cadenatp; ?>
				    </td></tr>
		<tr><td align='right'>Especialidad:</td><td colspan='2'>
					<?php echo "<select id='especialidaddescradeje' name='especialidaddescradeje' onChange='listarpersonaldiv(7);listardescradeje()'>".$cadenaesp; ?>
				    </td></tr>
		<tr><td align='center' colspan='3'>
			<table width='300'><tr><td width='160' align='center'>
				<div id='divdreje'>
				<select id='drejelist' name='drejelist' style='width:22em;' size='4' onClick='listardescradeje()' onload='listardescradeje()'>
				<?php echo $cadenalis;?>
				</div>
				</td><td width='160' align='center'>
				<div id='dreje'>
				<?php echo $cadenadre; ?>
				</div>
				</td></tr>
				</table>
		</td></tr>
		</table>
        <!-- cierre tabla del desc radi-->
	<br>
	</fieldset>
	</div>
	 
    </td></tr>
</table>
<hr color='blue'>
<hr color='blue' size='10'>
</body>
</html>